%global modulename set-value

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-set-value
Version:        2.0.0
Release:        1%{?dist}
Summary:        Create nested values and any intermediaries using dot notation (`'a.b.c'`) paths.

License:        MIT
URL:            https://github.com/jonschlinkert/set-value
Source0:        https://registry.npmjs.org/set-value/-/set-value-2.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(extend-shallow) >= 2.0.1 with npmlib(extend-shallow) < 3.0.0))
BuildRequires:  ((npmlib(is-extendable) >= 0.1.1 with npmlib(is-extendable) < 0.2.0))
BuildRequires:  ((npmlib(is-plain-object) >= 2.0.3 with npmlib(is-plain-object) < 3.0.0))
BuildRequires:  ((npmlib(split-string) >= 3.0.1 with npmlib(split-string) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Create nested values and any intermediaries using dot notation (`'a.b.c'`) paths.

%package 2.0.0
Summary:        Create nested values and any intermediaries using dot notation (`'a.b.c'`) paths.


%description 2.0.0
Create nested values and any intermediaries using dot notation (`'a.b.c'`) paths.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.0.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 2.0.0-1
- Package automatically generated by npm2srpm
